<?php
if (!isset($_SESSION['ID'])) {
} else {
	if (!isset($_POST['speichern'])) {
	
		$sql1		= "SELECT Foto0, Foto1, Foto2, Foto3, Foto4, Foto5, Foto6, Foto7, Foto8, Foto9, Foto10 FROM objekte WHERE ID = \"".$_POST['OBJ']."\" ";
		$result1	= $db->query($sql1);
		$nt1		= $result1->fetch_assoc();
		
		$sortArray = explode ( '&', $_POST['sorting'] );
		foreach ( $sortArray AS $key => $element )
			{
				$element = str_replace ( 'element[]=', '', $element );
				$pic = "../img/objekte/".$_POST['OBJ']."_".( $element ) .".jpg";
				$tmp = "../img/temp/".$_POST['OBJ']."_".( $key + 1 ) .".jpg";
				if ( file_exists ( $pic ) )
					{
						rename ( $pic, $tmp );
						$update .= 'Foto' . ( $key + 1 ) . ' = "' . $nt1[ 'Foto' . $element ] . '", ';
					}
				
			}
		for ( $i=1; $i<15; $i++ )
			{
				$tmp = "../img/temp/".$_POST['OBJ']."_".( $i ) .".jpg";
				$pic = "../img/objekte/".$_POST['OBJ']."_".( $i ) .".jpg";
				if ( file_exists ( $tmp ) )
					{
						rename ( $tmp, $pic );
					}
			
			}
		if  ( ! empty ( $update ) )
			{
				$update = ( substr ( $update , 0 , -2 ) );
				$sql = 'UPDATE objekte SET ' . $update .  ' WHERE ID = "' . $_POST[ 'OBJ' ] . '";';
				$stmt = $db->prepare( $sql );
				if ( !$stmt )
					{
						die ('Datensatz konnte nicht gespeichert werden: '.$db->error);
					}
				if ( !$stmt->execute( ) )
					{
						die ('Datensatz konnte nicht gespeichert werden: '.$stmt->error);
					}
			}
		
		
		echo "<h1>Bildergalerie zu Objekt-Nummer ".$_POST['OBJ']."</h1>\n";
		$sql1		= "SELECT Foto0, Foto1, Foto2, Foto3, Foto4, Foto5, Foto6, Foto7, Foto8, Foto9, Foto10 FROM objekte WHERE ID = \"".$_POST['OBJ']."\" ";
		$result1	= $db->query($sql1);
		$nt1		= $result1->fetch_assoc();
		echo "<form action=\"index.php?section=objekte&t=FBesch\" method=\"post\" >\n";
		echo "<fieldset>\n";
		echo "	<legend>Bildbeschreibungen</legend>\n";
		echo "	<input type=\"hidden\" name=\"ID\" value=\"".$_POST['OBJ']."\" />\n";
		for ($i=1; $i<15; $i++) {
			$pic = "../img/objekte/".$_POST['OBJ']."_" . $i . ".jpg";
			if (file_exists($pic)) {
				echo "	<img style=\"margin: 0px 20px 20px 20px; float: left;\" src=\"$pic?ts=" . date ( 'YmdHis' ) . "\" width=\"100px\" height=\"100px\"/>";
				echo "	<label>Foto ".$i."</label>\n";
				echo "	<br />\n";
				echo "	<input type=\"text\" name=\"Foto".$i."\" value=\"".$nt1['Foto'.$i]."\"/>\n";
				echo "	<br class=\"fix\" />\n";
			}
			else
				{
					echo "	<input type=\"hidden\" name=\"Foto".$i."\" value=\"\"/>\n";
				}
		}
		
		echo "	<input type=\"submit\" name=\"speichern\" value=\"Speichern\" />\n";
		echo "</fieldset>\n";
		echo "</form>\n";
	} else {
		echo "<h1>Bildergalerie zu Objekt-Nummer ".$_POST['ID']."</h1>\n";
		$sql = 'UPDATE objekte SET
			Foto1		= "'.$_POST['Foto1'].'",
			Foto2		= "'.$_POST['Foto2'].'",
			Foto3		= "'.$_POST['Foto3'].'",
			Foto4		= "'.$_POST['Foto4'].'",
			Foto5		= "'.$_POST['Foto5'].'",
			Foto6		= "'.$_POST['Foto6'].'",
			Foto7		= "'.$_POST['Foto7'].'",
			Foto8		= "'.$_POST['Foto8'].'",
			Foto9		= "'.$_POST['Foto9'].'",
			Foto10		= "'.$_POST['Foto10'].'"
		WHERE ID = "'.$_POST['ID'].'";';
		$stmt = $db->prepare($sql);
		if (!$stmt) {
			die ('Datensatz konnte nicht gespeichert werden: '.$db->error);
		}
		if (!$stmt->execute()) {
			die ('Datensatz konnte nicht gespeichert werden: '.$stmt->error);
		}
		echo "<p class=\"hinweis\">Datensatz wurde gespeichert!</p>\n";
		$sql2		= "SELECT ID, KAT, O_TYP, V_TYP FROM objekte WHERE ID = \"".$_POST['ID']."\" ";
		$result2	= $db->query($sql2);
		$nt2		= $result2->fetch_assoc();
		$ref = "index.php?section=objekte&t=";
		if (("Wohnung" == $nt2['O_TYP']) AND ("Miete" == $nt2['V_TYP'])) {
			$ref .= "wm";
		} elseif (("Haus" == $nt2['O_TYP']) AND ("Miete" == $nt2['V_TYP'])) {
			$ref .= "hm";
		} elseif (("Wohnung" == $nt2['O_TYP']) AND ("Kauf" == $nt2['V_TYP'])) {
			$ref .= "wk";
		} elseif (("Haus" == $nt2['O_TYP']) AND ("Kauf" == $nt2['V_TYP'])) {
			$ref .= "hk";
		} elseif (("gewerbe" == $nt2['KAT']) AND ("Kauf" == $nt2['V_TYP'])) {
			$ref .= "gk";
		} elseif (("gewerbe" == $nt2['KAT']) AND ("Miete" == $nt2['V_TYP'])) {
			$ref .= "gm";
		} elseif (("anlage" == $nt2['KAT']) AND ("Kauf" == $nt2['V_TYP'])) {
			$ref .= "ro";
		}
		echo "<form action=\"".$ref."\" method=\"post\" >\n";
		echo "	<input type=\"hidden\" name=\"ID\" value=\"".$nt2['ID']."\" />\n";
		echo "	<input type=\"submit\" name=\"formaction\" value=\"Anzeigen\" />\n";
		echo "</form>\n";

	}
}
?>
